# Status: OK

Source: https://github.com/google/google-ctf/tree/main/2023/quals/rev-png2


Challenge
In this task, you get a "PNG2" file and a binary that encodes PPM files to PNG2 files. You need to find out what the binary is doing and recover the original image before it was encoded into PNG2. Spoilers inside the challenge directory.